<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <script src="jquery-1.11.0.min.js" type="text/javascript"></script>
    <script src="scheme_interpreter.js" type="text/javascript"></script>
    <script src="problem_manager.js" type="text/javascript"></script>

    <script src="problem_independentset.js" type="text/javascript"></script>
    <script src="problem_clique.js" type="text/javascript"></script>
    <script src="problem_picross.js" type="text/javascript"></script>
    <script src="problem_sat.js" type="text/javascript"></script>
    <script src="problem_three_sat.js" type="text/javascript"></script>
    <script src="problem_three_coloring.js" type="text/javascript"></script>



    <script type="text/javascript" src="vis/dist/vis.js"></script>
    <link rel="stylesheet" type="text/css" href="style.css" />


    <link rel="stylesheet" href="codemirror-5.4/lib/codemirror.css">
    <script src="codemirror-5.4/lib/codemirror.js"></script>
    <script src="codemirror-5.4/mode/commonlisp/commonlisp.js"></script>
    <script src="codemirror-5.4/addon/edit/matchbrackets.js"></script>
    <script src="viz.js"></script>
    <script src="graph.js"></script>

</head>

<body>
    <h1>Reductions</h1>
    <HR>
    <table>
        <tr>
            <td valign="top">
                From
                <select id="problem1" onclick="problem1choose()">
                </select>
                </br>
                <textarea id="instance1" cols=50 rows=20 onkeyup="update()"></textarea>
                <div id="instance1div">
                </div>
            </td>
            <td valign="top">
                <button onclick="switchProblems()"><img src="switch.png" /></button>
            </td>
            <td valign="top">
                to
                <select id="problem2" onclick="update()">
                </select>
                </br>
                <textarea readonly id="instance2" cols=50 rows=20></textarea>
                <div id="instance2div">

                </div>
            </td>
        </tr>
    </table>
</body>

</html>